Name: xlogical
Version: 1.0
Release: ipl7mdk.2

Summary: SDL logical arcade game
Summary(ru_RU.KOI8-R):     SDL
License: GPL
Group: Games/Arcade
Url: http://changeling.ixionstudios.com/xlogical/

Source0: %name-%version.tar.bz2
Source1: %name.menu
Source2: %{name}16.xpm
Source3: %{name}32.xpm
Source4: %{name}48.xpm

Patch1: %name-1.0-alt-build.patch
Patch2: %name-1.0-gcc3.patch

BuildPreReq: libSDL-devel >= 1.1.0

# Automatically added by buildreq on Wed Jun 22 2005
BuildRequires: esound gcc-c++ libSDL-devel libSDL_image-devel libSDL_mixer-devel libstdc++-devel

%description
This is a puzzle game based on a game by Rainbow Arts called Logical! which
was released on the Commodore Amiga in 1980's.  It requires parallel thinking
and quick reflexes.

%description -l ru_RU.KOI8-R
  ,     Rainbow Arts  
Logical!    Commodere Amiga  1980 .  
  .       
 /     . ;-)

%prep
%setup -q
%set_automake_version 1.4
%set_autoconf_version 2.5

%patch1 -p1
%patch2 -p1

%build
aclocal
automake --foreign
autoconf
%configure --localstatedir=%_localstatedir/games
%make_build CXXFLAGS="$RPM_OPT_FLAGS"

%install
install -pD -m2711 %name $RPM_BUILD_ROOT%_x11bindir/%name
%makeinstall -C images install datadir=$RPM_BUILD_ROOT%_datadir prefix=$RPM_BUILD_ROOT%prefix
%makeinstall -C music install datadir=$RPM_BUILD_ROOT%_datadir prefix=$RPM_BUILD_ROOT%prefix
%makeinstall -C sound install datadir=$RPM_BUILD_ROOT%_datadir prefix=$RPM_BUILD_ROOT%prefix
install -pD -m660 %name.scores $RPM_BUILD_ROOT%_localstatedir/games/%name/%name.scores
install -pD -m644 %name.levels $RPM_BUILD_ROOT%_datadir/%name/%name.levels
install -pD -m644 %name.properties $RPM_BUILD_ROOT%_datadir/%name/%name.properties
install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%files
%attr(2711,root,games) %_x11bindir/%name
%attr(770,root,games) %dir %_localstatedir/games/%name
%attr(660,root,games) %dir %_localstatedir/games/%name/%name.scores
%_datadir/%name
%_menudir/*
%_miconsdir/*
%_liconsdir/*
%_iconsdir/*.xpm
%doc ChangeLog README TODO NEWS AUTHORS

%post
%update_menus

%postun
%clean_menus

%changelog
* Wed Jun 22 2005 Eugene V. Horohorin <genix@altlinux.ru> 1.0-ipl7mdk.2
- #4623 bug fix
- build requires fix

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0-ipl7mdk.1
- Rebuilt with libstdc++.so.6.

* Tue Sep 30 2003 Rider <rider@altlinux.ru> 1.0-ipl7mdk
- build requires fix

* Fri Oct 25 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0-ipl6mdk
- Rebuilt in new environment
- Added patch for gcc3

* Sat Apr 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0-ipl5mdk
- Fixed hardly broken package permissions.
- Fixed tag translation specifications.
- Added missing directories to %%files lists.

* Fri Aug 17 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0-ipl4mdk
- build with new SDL
- Fixed CFLAGS
- Some spec cleanup

* Wed Apr 10 2001 Rider <rider@altlinux.ru>
- build with SDL 1.2.0

* Mon Mar 19 2001 Rider <rider@altlinux.ru>
- 1.0-6

* Sun Jan 21 2001 Rider <rider@linux.ru.net>
- initial spec file for RE
